Subject: bug#15364: 24.3; git emacs segfault on loading local wubi phrases

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 28 Aug 2019 17:17:18 +0200

Eli Zaretskii <[email-masked]> writes:

> Yes, it was enough.  The backtrace from the assertion violation
> triggered by this recipe appears below; I hope someone will be able to
> make sense of it.
>
> Note that I byte-compiled the *.el files with the latest trunk, to
> avoid some potential incompatibilities between 7-year old *.elc files
> and the current byte-run code.
>
> eval.c:195: Emacs fatal error: assertion failed: pdl->kind == SPECPDL_BACKTRACE
>
> Breakpoint 1, terminate_due_to_signal (sig=22, backtrace_limit=2147483647)
>     at emacs.c:342
> 342       signal (sig, SIG_DFL);
> (gdb) bt
> #0  terminate_due_to_signal (sig=22, backtrace_limit=2147483647)
>     at emacs.c:342
> #1  0x01155c0d in die (
>     msg=0x1499014 <DEFAULT_REHASH_SIZE+92> "pdl->kind == SPECPDL_BACKTRACE",
>     file=0x1498fc0 <DEFAULT_REHASH_SIZE+8> "eval.c", line=195) at alloc.c:6575
> #2  0x0116e81f in set_backtrace_args (pdl=0x3705b20, args=0x105f4000)
>     at eval.c:195
> #3  0x01174ac6 in apply_lambda (fun=271162485, args=56849758) at eval.c:2963
> #4  0x01173441 in eval_sub (form=56849806) at eval.c:2271
> #5  0x011a0678 in readevalloop (readcharfun=59666949, stream=0x0,
>     sourcename=61089569, printflag=false, unibyte=55945242, readfun=55945242,
>     start=55945242, end=55945242) at lread.c:1876

I downloaded wubi and tried the test code in Emacs 27, but was unable to
reproduce the bug.

Has this been fixed in the five years that passed since this was
reported?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no